Subject: Re: bug#15154: 24.3; Various GTK warnings on debian jessie/sid
From: Jan Djärv <[email-masked]>
To: Tim Van Holder <[email-masked]>
Cc: [email-masked]
Date: Mon, 26 Aug 2013 17:52:00 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

21 aug 2013 kl. 19:01 skrev Tim Van Holder <[email-masked]>:

> 
>   ** (emacs:<pid>): WARNING **: Couldn't connect to accessibility bus:
>      Failed to connect to socket /tmp/dbus-OfJcFmA1Hb: Connection
>      refused

As others have pointed out, it is an atk-bridge message.  Several bug reports exists, for Ubuntu there is https://bugs.launchpad.net/ubuntu/+source/gdk-pixbuf/+bug/1193236.

> Also on startup, the minibuffer is higher that I would expect; this
> fixes itself the first time the minibuffer becomes the active buffer.
> This may be due to the initial rendering of the resize handle.

File a separate bug for that.

> When customizing something, even when not actually changing anything,
> pressing "State>Set for current session" or clicking twice on the
> "Custom" menu (to open and close the pop-up menu) results in one or
> two cases of:
> 
>   (emacs:17279): Gdk-CRITICAL **: gdk_device_get_source: assertion
>   `GDK_IS_DEVICE (device)' failed

This is a gtk bug: https://bugzilla.gnome.org/show_bug.cgi?id=696756. The title says w32, but it also affects X.

> 
> In addition, I frequently got
> 
>   (emacs:<pid>): Gtk-WARNING **: Failed to parse menu bar accelerator
>   'VoidSymbol'
> 
> which seemed to happen when autocompleting in the minibuffer, but which
> I can't now reproduce. If I see it again and can reproduce it reliably, I'll file
> a separate report.

To reproduce: click on the menu bar so a menu is open, then press a key.
I have checked in a fix for this.

	Jan D.